## mcp-kali-server 0.0~git20251109.a5b3f96

=== requirements.txt ===
Flask>=3.0.0
requests>=2.31.0
mcp>=1.0.0

## mcp-kali-server 0.0~git20250407.df99f04

=== debian/changelog ===
mcp-kali-server (0.0~git20250407.df99f04-0kali1) kali-dev; urgency=medium

  * Fix debian/watch
  * New upstream version 0.0~git20250407.df99f04

 -- Sophie Brun <sophie@kali.org>  Thu, 07 Aug 2025 14:50:12 +0200

mcp-kali-server (0~git20250408-0kali1) kali-dev; urgency=medium

  * Initial release.

 -- Sophie Brun <sophie@kali.org>  Thu, 17 Jul 2025 17:34:31 +0200

=== debian/control ===
Source: mcp-kali-server
Section: misc
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Sophie Brun <sophie@kali.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3
Standards-Version: 4.7.2
Homepage: https://github.com/Wh0am123/MCP-Kali-Server
Vcs-Browser: https://gitlab.com/kalilinux/packages/mcp-kali-server
Vcs-Git: https://gitlab.com/kalilinux/packages/mcp-kali-server.git

Package: mcp-kali-server
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 python3-flask,
 python3-mcp,
 python3-requests
Description: API bridge connecting MCP Clients to the API server
 This package contains a lightweight API bridge that connects MCP Clients (e.g:
 Claude Desktop, 5ire) to the API server which allows excuting commands on a
 Linux terminal.
 .
 This allows the MCP to run terminal commands like nmap, nxc or any other tool,
 interact with web applications using tools like curl, wget, gobuster. And
 perform AI-assisted penetration testing, solving CTF web challenge in real
 time, helping in solving machines from HTB or THM.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

%:
	dh $@ --with python3

## mcp-kali-server 0.0~git20250813.8aa879b

=== debian/changelog ===
mcp-kali-server (0.0~git20250813.8aa879b-0kali1) kali-dev; urgency=medium

  [ Arnaud Rebillout ]
  * Drop 'Rules-Requires-Root: no' from d/control

  [ Sophie Brun ]
  * New upstream version 0.0~git20250813.8aa879b

 -- Sophie Brun <sophie@kali.org>  Wed, 24 Sep 2025 09:42:10 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Priority: optional
 Maintainer: Kali Developers <devel@kali.org>
 Uploaders: Sophie Brun <sophie@kali.org>
-Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3

=== debian/tests/control ===
Test-Command: kali-server-mcp --help
Restrictions: superficial

Test-Command: mcp-server --help
Restrictions: superficial

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
  https://github.com/Wh0am123/MCP-Kali-Server.git \
  HEAD debian

# use the following if usptream tags releases
#opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
#    https://github.com/Wh0am123/MCP-Kali-Server/tags \
#    (?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@

## mcp-kali-server 0.0~git20251109.a5b3f96

=== debian/changelog ===
mcp-kali-server (0.0~git20251109.a5b3f96-0kali1) kali-dev; urgency=medium

  * New upstream version 0.0~git20251109.a5b3f96

 -- Sophie Brun <sophie@kali.org>  Thu, 11 Dec 2025 13:53:25 +0100

## mcp-kali-server 0.0~git20260119.bffe9f2

=== debian/changelog ===
mcp-kali-server (0.0~git20260119.bffe9f2-0kali2) kali-dev; urgency=medium

  * Re-upload

 -- Sophie Brun <sophie@kali.org>  Tue, 20 Jan 2026 14:09:38 +0100

mcp-kali-server (0.0~git20260119.bffe9f2-0kali1) kali-dev; urgency=medium

  * New upstream version 0.0~git20260119.bffe9f2
  * Remove mcp-server-stderr.patch merged upstream

 -- Sophie Brun <sophie@kali.org>  Tue, 20 Jan 2026 14:09:35 +0100

mcp-kali-server (0.0~git20260111.1236856-0kali2) kali-dev; urgency=medium

  * Add mcp-server-stderr.patch

 -- Ben Wilson <g0tmi1k@kali.org>  Mon, 19 Jan 2026 16:18:20 +0000

mcp-kali-server (0.0~git20260111.1236856-0kali1) kali-dev; urgency=medium

  * New upstream version 0.0~git20260111.1236856
  * Add mcp-kali-server.json example

 -- Sophie Brun <sophie@kali.org>  Mon, 19 Jan 2026 15:41:59 +0100

=== debian/watch ===
Version: 5
Source: https://github.com/Wh0am123/MCP-Kali-Server
Matching-Pattern: HEAD
Mode: git
